Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class Occurs

    java.lang.Object
      convert.relaxng.output.xsd.basic.Occurs

    public class Occurs

extends java.lang.Object

Field Summary
`static Occurs` | `EXACTLY_ONE`
`static Occurs` | `ONE_OR_MORE`
`static Occurs` | `OPTIONAL`
`static int` | `UNBOUNDED`
`static Occurs` | `ZERO_OR_MORE`

Constructor Summary
`Occurs(int min, int max)`

Method Summary
`static Occurs` | `add(Occurs occ1, Occurs occ2)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getMax()`
`int` | `getMin()`
`int` | `hashCode()`
`static Occurs` | `multiply(Occurs occ1, Occurs occ2)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNBOUNDED

    public static final int UNBOUNDED

See Also:
  Constant Field Values

### EXACTLY_ONE

    public static final Occurs EXACTLY_ONE

### ONE_OR_MORE

    public static final Occurs ONE_OR_MORE

### ZERO_OR_MORE

    public static final Occurs ZERO_OR_MORE

### OPTIONAL

    public static final Occurs OPTIONAL

Constructor Detail

### Occurs

    public Occurs(int min,
                  int max)

Method Detail

### getMin

    public int getMin()

### getMax

    public int getMax()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### add

    public static Occurs add(Occurs occ1,
                             Occurs occ2)

### multiply

    public static Occurs multiply(Occurs occ1,
                                  Occurs occ2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD